Bug 21698 - FIX POD of cancel_unfilled_holds.pl
Summary: FIX POD of cancel_unfilled_holds.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Magnus Enger
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-26 19:59 UTC by Magnus Enger
Modified: 2019-01-30 11:48 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21698 - FIX POD of cancel_unfilled_holds.pl (2.66 KB, patch)
2018-10-26 20:56 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 21698 - FIX POD of cancel_unfilled_holds.pl (2.73 KB, patch)
2018-10-29 13:47 UTC, Andrew Isherwood
Details | Diff | Splinter Review
Bug 21698: Fix POD of cancel_unfilled_holds.pl (2.78 KB, patch)
2018-10-29 19:59 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 21698: (QA follow-up) Fix typo verbosev -> verbose (906 bytes, patch)
2018-10-29 20:00 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2018-10-26 19:59:31 UTC
- Description of some options in the SYNOPSIS section
- Missing options
- Use of a single dash for long options
Comment 1 Magnus Enger 2018-10-26 20:56:24 UTC
Created attachment 81340 [details] [review]
Bug 21698 - FIX POD of cancel_unfilled_holds.pl

To test:
- Run "perldoc misc/cronjobs/holds/cancel_unfilled_holds.pl"
- Notice some problems:
-- No description in the NAME section
-- Descriptions of options in the SYNOPSIS section
-- A literal head1
-- Long options are listed with a single leading dash
-- Options --verbose and --confirm are not listed under OPTIONS)
- Take a look at the script itself to see that --verbose and
  --confirm should be listed.
- Also note the typo on line 97: 'v|verbosev' => \$verbose,
- Apply the patch
- Look at the script and perldoc again and check that all problems
  described above are now fixed.
Comment 2 Andrew Isherwood 2018-10-29 13:47:03 UTC
Created attachment 81499 [details] [review]
Bug 21698 - FIX POD of cancel_unfilled_holds.pl

To test:
- Run "perldoc misc/cronjobs/holds/cancel_unfilled_holds.pl"
- Notice some problems:
-- No description in the NAME section
-- Descriptions of options in the SYNOPSIS section
-- A literal head1
-- Long options are listed with a single leading dash
-- Options --verbose and --confirm are not listed under OPTIONS)
- Take a look at the script itself to see that --verbose and
  --confirm should be listed.
- Also note the typo on line 97: 'v|verbosev' => \$verbose,
- Apply the patch
- Look at the script and perldoc again and check that all problems
  described above are now fixed.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>
Comment 3 Josef Moravec 2018-10-29 19:59:54 UTC
Created attachment 81534 [details] [review]
Bug 21698: Fix POD of cancel_unfilled_holds.pl

To test:
- Run "perldoc misc/cronjobs/holds/cancel_unfilled_holds.pl"
- Notice some problems:
-- No description in the NAME section
-- Descriptions of options in the SYNOPSIS section
-- A literal head1
-- Long options are listed with a single leading dash
-- Options --verbose and --confirm are not listed under OPTIONS)
- Take a look at the script itself to see that --verbose and
  --confirm should be listed.
- Also note the typo on line 97: 'v|verbosev' => \$verbose,
- Apply the patch
- Look at the script and perldoc again and check that all problems
  described above are now fixed.

Signed-off-by: Andrew Isherwood <andrew.isherwood@ptfs-europe.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Josef Moravec 2018-10-29 20:00:00 UTC
Created attachment 81535 [details] [review]
Bug 21698: (QA follow-up) Fix typo verbosev -> verbose

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Nick Clemens 2018-10-31 15:05:31 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-11-09 16:07:54 UTC
Pushed to 18.05.x for 18.05.06 - I always like POD improvements.
Comment 7 Fridolin SOMERS 2018-11-28 13:50:58 UTC
Pushed to 17.11.x for 17.11.13
Comment 8 Josef Moravec 2019-01-30 11:48:42 UTC Comment hidden (obsolete)